/*! @file

    @id $Id$
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

#ifndef LOGINCERTIFICATE_HXX
#define LOGINCERTIFICATE_HXX

#include <ui_logincertificate.h>

class LoginCertificate: public QDialog, protected Ui::LoginCertificate {
  public:
    LoginCertificate(QWidget* p): QDialog(p) {
      setupUi(this);
      setup();
    }
    LoginCertificate& setup() {
      QSslCertificate c(QSslConfiguration::defaultConfiguration()
                        .localCertificate());
      _cert->certificate(c);
      return *this;
    }
  protected:
    virtual void showEvent(QShowEvent *event) {
      setup();
      QDialog::showEvent(event);
    }
};

#endif
